<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
			 xmlns:tools="http://schemas.android.com/tools"
			 android:layout_width="match_parent"
			 android:layout_height="match_parent"
			 xmlns:app="http://schemas.android.com/apk/res-auto"
			 android:background="#000000"
			 tools:context="com.castlabs.sdk.mediasession.SimplePlaybackDemo">

	<com.castlabs.android.player.PlayerView
		android:id="@+id/player_view"
		android:layout_gravity="center"
		android:layout_width="match_parent"
		android:layout_height="match_parent">
	</com.castlabs.android.player.PlayerView>

	<com.castlabs.sdk.playerui.PlayerControllerProgressBar
		android:id="@+id/progress_bar"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_gravity="center"
		tools:visibility="visible"
		android:visibility="gone"
	/>

	<androidx.coordinatorlayout.widget.CoordinatorLayout
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:id="@+id/snack_bar"
		android:layout_gravity="center"
		android:background="@android:color/transparent">
	</androidx.coordinatorlayout.widget.CoordinatorLayout>

	<com.castlabs.sdk.playerui.PlayerControllerView
		android:id="@+id/player_controls"
		app:controller_layout_id="@layout/cl_player_controller_view"
		android:background="#55000000"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		app:animation_view_position="bottom"
		android:layout_gravity="bottom"
	/>

	<LinearLayout
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:orientation="horizontal"
		android:visibility="visible">
		<LinearLayout
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:orientation="vertical"
			android:id="@+id/manualAdsLayout"
			android:visibility="gone"
			>
			<Button
				android:id="@+id/buttonRequestAdSkippable"
				android:text="Request skippable ad"
				android:layout_width="match_parent"
				android:layout_height="wrap_content" />
			<Button
				android:id="@+id/buttonRequestAdPreroll"
				android:text="Request preroll ad"
				android:layout_width="match_parent"
				android:layout_height="wrap_content" />
			<Button
				android:id="@+id/buttonRequestAdPostroll"
				android:text="Request postroll ad"
				android:layout_width="match_parent"
				android:layout_height="wrap_content" />
		</LinearLayout>
		<RelativeLayout
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:background="@color/colorPrimaryDark"
			android:visibility="gone"
			android:id="@+id/thumbnailTimeLayout">
			<TextView
				android:layout_alignParentLeft="true"
				android:layout_alignParentStart="true"
				android:layout_alignParentTop="true"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:textColor="@color/colorAccent"
				android:id="@+id/requestedTimeLabel"
				android:text="Requested time: " />
			<TextView
				android:layout_toRightOf="@id/requestedTimeLabel"
				android:layout_toEndOf="@id/requestedTimeLabel"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:textColor="@color/colorAccent"
				android:textStyle="bold"
				android:id="@+id/requestedTime" />
			<TextView
				android:layout_alignParentLeft="true"
				android:layout_alignParentStart="true"
				android:layout_below="@id/requestedTimeLabel"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:textColor="@color/colorAccent"
				android:id="@+id/thumbnailTimeLabel"
				android:text="Thumbnail time: " />
			<TextView
				android:layout_toRightOf="@id/thumbnailTimeLabel"
				android:layout_toEndOf="@id/thumbnailTimeLabel"
				android:layout_below="@id/requestedTime"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:textColor="@color/colorAccent"
				android:textStyle="bold"
				android:id="@+id/thumbnailTime" />
		</RelativeLayout>
	</LinearLayout>
</FrameLayout>
